"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MAX_RECONNECTIONS = exports.MINIMAL_QUERY_TIMEOUT = exports.DEFAULT_QUERY_TIMEOUT = exports.AGGREGATE_ID_SQL_TYPE = exports.RESPONSE_SIZE_LIMIT = exports.DATA_API_ERROR_FLAG = exports.PARTIAL_EVENT_FLAG = exports.BATCH_SIZE = exports.BUFFER_SIZE = exports.RESERVED_EVENT_SIZE = exports.BIG_SERIAL = exports.TEXT_SQL_TYPE = exports.JSON_SQL_TYPE = exports.INT8_SQL_TYPE = exports.LONG_NUMBER_SQL_TYPE = exports.LONG_STRING_SQL_TYPE = void 0;
const LONG_STRING_SQL_TYPE = 'VARCHAR(190)';
exports.LONG_STRING_SQL_TYPE = LONG_STRING_SQL_TYPE;
const LONG_NUMBER_SQL_TYPE = 'BIGINT';
exports.LONG_NUMBER_SQL_TYPE = LONG_NUMBER_SQL_TYPE;
const INT8_SQL_TYPE = 'INT8';
exports.INT8_SQL_TYPE = INT8_SQL_TYPE;
const JSON_SQL_TYPE = 'JSONB';
exports.JSON_SQL_TYPE = JSON_SQL_TYPE;
const TEXT_SQL_TYPE = 'TEXT';
exports.TEXT_SQL_TYPE = TEXT_SQL_TYPE;
const BIG_SERIAL = 'BIGSERIAL';
exports.BIG_SERIAL = BIG_SERIAL;
const RESERVED_EVENT_SIZE = 66; // 3 reserved BIGINT fields with commas

exports.RESERVED_EVENT_SIZE = RESERVED_EVENT_SIZE;
const BUFFER_SIZE = 512 * 1024;
exports.BUFFER_SIZE = BUFFER_SIZE;
const BATCH_SIZE = 100;
exports.BATCH_SIZE = BATCH_SIZE;
const PARTIAL_EVENT_FLAG = Symbol();
exports.PARTIAL_EVENT_FLAG = PARTIAL_EVENT_FLAG;
const DATA_API_ERROR_FLAG = Symbol();
exports.DATA_API_ERROR_FLAG = DATA_API_ERROR_FLAG;
const RESPONSE_SIZE_LIMIT = Symbol();
exports.RESPONSE_SIZE_LIMIT = RESPONSE_SIZE_LIMIT;
const AGGREGATE_ID_SQL_TYPE = LONG_STRING_SQL_TYPE;
exports.AGGREGATE_ID_SQL_TYPE = AGGREGATE_ID_SQL_TYPE;
const DEFAULT_QUERY_TIMEOUT = 45000;
exports.DEFAULT_QUERY_TIMEOUT = DEFAULT_QUERY_TIMEOUT;
const MINIMAL_QUERY_TIMEOUT = 1000;
exports.MINIMAL_QUERY_TIMEOUT = MINIMAL_QUERY_TIMEOUT;
const MAX_RECONNECTIONS = 5;
exports.MAX_RECONNECTIONS = MAX_RECONNECTIONS;
//# sourceMappingURL=constants.js.map