import type { CursorFilter } from '@resolve-js/eventstore-base';
import type { AdapterPool } from './types';
declare type LoadFilter = Omit<CursorFilter, 'limit'> & {
    limit?: CursorFilter['limit'];
};
declare const createLoadQuery: ({ escapeId, escape, eventsTableName, databaseName }: AdapterPool, { eventTypes, aggregateIds, cursor, limit }: LoadFilter) => string | null;
export default createLoadQuery;
