"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isAlreadyExistsError = isAlreadyExistsError;
exports.isNotExistError = isNotExistError;

function isAlreadyExistsError(error) {
  return `${error.code}` === '42P07' || `${error.code}` === '23505';
}

function isNotExistError(error) {
  return `${error.code}` === '42P01';
}
//# sourceMappingURL=resource-errors.js.map